ov51x-jpeg-source won't build against kernel 2.6.27, but 1.5.9 (already in Jaunty) would.

Bug #262853 reported by David Hugh-Jones on 2008-08-30
60
This bug affects 3 people
Affects Status Importance Assigned to Milestone
ov51x-jpeg (Ubuntu)
High
Unassigned
Nominated for Intrepid by Andres Mujica
Declined for Jaunty by Steve Langasek

Bug Description

2.6.27 has moved asm/semaphore.h to linux/semaphore.h, among other things, causing that the ov51x-jpeg-source 1.5.8-1 package won't compile against it.

Steps to reproduce:

With Intrepid kernel 2.6.27, install ov51x-jpeg-source, run module-assistant build ov51x-jpeg-source, and you'll get a failed compilation caused by semaphore.h missing file.

As Jaunty already merged the upstream source package 1.5.9 where the issue is solved; the same package can be backported to Intrepid in order to get those webcams work.

The Jaunty package version is 1.5.9-1

James Westby (james-w) on 2008-09-11
Changed in ov51x-jpeg:
importance: Undecided → High
status: New → Confirmed
piffio (piffio) wrote :

The proposed patch fixes compilations issues on Ubuntu Intrepid (8.10) running on 2.4.27 kernels.
WARNING: Driver functionality still have to be tested (I've just done a build and modprobe / rmmod dumb test).

Fred43Brest (fjourdin) wrote :

I added the proposed patch and it seems to work well:
an image of my eyetoy cam appears in the vid4L "camorama"
thanks to this driver.

(still works to do with the image cause it appears "triplicate"...
probably nothing to do with the present bug).

Götz Christ (g-christ) wrote :

If the version 1.5.8 doesn't work with Linux 2.6.27 shiped with Intrepid, could the source package not be updated with version 1.5.9?

Le mercredi 05 novembre 2008 à 02:09 +0000, G. Christ a écrit :
> If the version 1.5.8 doesn't work with Linux 2.6.27 shiped with
> Intrepid, could the source package not be updated with version 1.5.9?
>

No I think: the proposed patch seems to have been taken into account
in the version 1.5.9.
I quickly installed ov51x-jpeg version 1.5.9 with Intrepid
2.6.27-7-generic and it works.

Fred43Brest (fjourdin) wrote :

Le mercredi 05 novembre 2008 à 02:09 +0000, G. Christ a écrit :
> If the version 1.5.8 doesn't work with Linux 2.6.27 shiped with
> Intrepid, could the source package not be updated with version 1.5.9?
>

Sorry I may answer : YES I think... blabla.. (matters of English !)

I tried unsuccessfully to compile ov51x-jpeg for kernel 2.6.27-8-generic on Intrepid:
dmoyne@gavarnie:~/Documents/modules/ov51x-jpeg$ make
make -C /lib/modules/2.6.27-8-generic/build M=/home/dmoyne/Documents/modules/ov51x-jpeg modules
make[1]: entrant dans le répertoire « /usr/src/linux-headers-2.6.27-8-generic »
  CC [M] /home/dmoyne/Documents/modules/ov51x-jpeg/ov51x-jpeg-core.o
/home/dmoyne/Documents/modules/ov51x-jpeg/ov51x-jpeg-core.c:115:27: error: asm/semaphore.h: Aucun fichier ou dossier de ce type
/home/dmoyne/Documents/modules/ov51x-jpeg/ov51x-jpeg-core.c:539: erreur: ‘v4l_compat_ioctl32’ undeclared here (not in a function)
/home/dmoyne/Documents/modules/ov51x-jpeg/ov51x-jpeg-core.c: In function ‘ov51x_v4l1_ioctl’:
/home/dmoyne/Documents/modules/ov51x-jpeg/ov51x-jpeg-core.c:6382: erreur: implicit declaration of function ‘video_usercopy’
/home/dmoyne/Documents/modules/ov51x-jpeg/ov51x-jpeg-core.c: Hors de toute fonction :
/home/dmoyne/Documents/modules/ov51x-jpeg/ov51x-jpeg-core.c:6637: erreur: unknown field ‘owner’ specified in initializer
/home/dmoyne/Documents/modules/ov51x-jpeg/ov51x-jpeg-core.c:6637: attention : initialization from incompatible pointer type
/home/dmoyne/Documents/modules/ov51x-jpeg/ov51x-jpeg-core.c:6639: erreur: unknown field ‘type’ specified in initializer
/home/dmoyne/Documents/modules/ov51x-jpeg/ov51x-jpeg-core.c: In function ‘ov51x_probe’:
/home/dmoyne/Documents/modules/ov51x-jpeg/ov51x-jpeg-core.c:8368: erreur: incompatible types in assignment
make[2]: *** [/home/dmoyne/Documents/modules/ov51x-jpeg/ov51x-jpeg-core.o] Erreur 1
make[1]: *** [_module_/home/dmoyne/Documents/modules/ov51x-jpeg] Erreur 2
make[1]: quittant le répertoire « /usr/src/linux-headers-2.6.27-8-generic »
make: *** [all] Erreur 2
dmoyne@gavarnie:~/Documents/modules/ov51x-jpeg$

Regards.

Download full text (4.0 KiB)

Quelques remarques :

Ce fichier semaphore.h me dit qq chose car j'ai eu déjà un soucis
avec mais malheureusement je ne me rappelle plus comment je l'ai
résolu !

En attendant si cela peut aider voici pour comparaison eventuelle
l'emplacement de mes fichiers semaphore.h :

cd /
fred@sylphide:/$ sudo find . -name semaphore.h -print
[sudo] password for fred:
./usr/src/linux-headers-2.6.27-7-generic/include/linux/semaphore.h
./usr/src/linux-headers-2.6.27-7/include/linux/semaphore.h
./usr/include/semaphore.h
./usr/include/bits/semaphore.h
./opt/pulseaudio-0.9.13/src/pulsecore/semaphore.h

J'ai refait une compilation de ov51x-jpeg-1.5.9 pour voir, sans
probleme, voir ci-dessous :

fred@sylphide:/usr/src$ cd /opt
fred@sylphide:/opt$ ls
alsa-driver-1.0.18 ov51x-jpeg-1.5.9 pulseaudio-0.9.13
fred@sylphide:/opt$ cd ov51x-jpeg-1.5.9/
fred@sylphide:/opt/ov51x-jpeg-1.5.9$ ls
ChangeLog ov511-decomp.c ov519-decomp.o ov51x-jpeg.mod.c
Makefile ov511-decomp.o ov51x-jpeg-core.c ov51x-jpeg.mod.o
Module.markers ov518-decomp.c ov51x-jpeg-core.o ov51x-jpeg.o
modules.order ov518-decomp.o ov51x-jpeg.h ov7670.h
Module.symvers ov519-decomp.c ov51x-jpeg.ko test
fred@sylphide:/opt/ov51x-jpeg-1.5.9$ make clean
rm -rf .*.cmd *.mod.c *.ko *.o .tmp_versions Module.symvers *~ core *.i
*.cmd .ov51x-jpeg-core.o.d
fred@sylphide:/opt/ov51x-jpeg-1.5.9$ make
make -C /lib/modules/2.6.27-7-generic/build M=/opt/ov51x-jpeg-1.5.9
modules
make[1]: entrant dans le répertoire
« /usr/src/linux-headers-2.6.27-7-generic »
  CC [M] /opt/ov51x-jpeg-1.5.9/ov51x-jpeg-core.o
  CC [M] /opt/ov51x-jpeg-1.5.9/ov511-decomp.o
  CC [M] /opt/ov51x-jpeg-1.5.9/ov518-decomp.o
  CC [M] /opt/ov51x-jpeg-1.5.9/ov519-decomp.o
  LD [M] /opt/ov51x-jpeg-1.5.9/ov51x-jpeg.o
  Building modules, stage 2.
  MODPOST 1 modules
  CC /opt/ov51x-jpeg-1.5.9/ov51x-jpeg.mod.o
  LD [M] /opt/ov51x-jpeg-1.5.9/ov51x-jpeg.ko
make[1]: quittant le répertoire
« /usr/src/linux-headers-2.6.27-7-generic »
fred@sylphide:/opt/ov51x-jpeg-1.5.9$

Petit détail je ne dispose pas de la 2.6.27-8-generic mais de la
2.6.27-7-generic.
Bonne chance !
Fred

Le samedi 22 novembre 2008 à 02:21 +0000, dmoyne a écrit :
> I tried unsuccessfully to compile ov51x-jpeg for kernel 2.6.27-8-generic on Intrepid:
> dmoyne@gavarnie:~/Documents/modules/ov51x-jpeg$ make
> make -C /lib/modules/2.6.27-8-generic/build M=/home/dmoyne/Documents/modules/ov51x-jpeg modules
> make[1]: entrant dans le répertoire « /usr/src/linux-headers-2.6.27-8-generic »
> CC [M] /home/dmoyne/Documents/modules/ov51x-jpeg/ov51x-jpeg-core.o
> /home/dmoyne/Documents/modules/ov51x-jpeg/ov51x-jpeg-core.c:115:27: error: asm/semaphore.h: Aucun fichier ou dossier de ce type
> /home/dmoyne/Documents/modules/ov51x-jpeg/ov51x-jpeg-core.c:539: erreur: ‘v4l_compat_ioctl32’ undeclared here (not in a function)
> /home/dmoyne/Documents/modules/ov51x-jpeg/ov51x-jpeg-core.c: In function ‘ov51x_v4l1_ioctl’:
> /home/dmoyne/Documents/modules/ov51x-jpeg/ov51x-jpeg-core.c:6382: erreur: implicit declaration of function ‘video_usercopy’
> /home/dmoyne/Documents/modules/ov51x-jpeg/ov51x-jpeg-core.c: Hors de toute fonction :
> /home/dmoyne/Documents...

Read more...

Fred43Brest (fjourdin) wrote :

Au fait, avant toute chose, est-ce bien la version 1.5.9
de ov51x-jpeg que tu disposes ?!

Le samedi 22 novembre 2008 à 02:21 +0000, dmoyne a écrit :
> I tried unsuccessfully to compile ov51x-jpeg for kernel 2.6.27-8-generic on Intrepid:

Please write in english. I don't speak french. Thanks!

dmoyne (daniel-moyne) wrote :

sorry for this Fench digression !

the ov51x-jpeg package I used here to report an ubuntu bug is the source package proposed by the Ubuntu distribution ; therefore this is the one I used to try to rebuild the ov51x module fo my Hercules Classic webcam (in the package there are the following files : ov511-decomp.c, ov518-decomp.c, and v519-decomp.c this is all I can tell) ; my web cam worked fine before when for previous kernel 2.6.27-7 I compiled the module from an extra package including a patch + modprobe ov51x-jpeg forceblock=1 ; this extra package called ov51x-jpeg-1.5.9 can still be compiled againt kernel 2.6.27-8 but now this is a dead end as for some reasons something has been changeg in last kernel making webcams not directly usable ; some people say that a new lib4l lib must be used in combination with somthing like :
LD_PRELOAD=/usr/lib/libv4l/v4l1compat.so camorama for camorama
or
FD_PRELOAD=/usr/lib/libv4l/v4l2convert.so cheese
but what I am interseted in like most of the people is to have skype working and it does not !

dmoyne (daniel-moyne) wrote :

I have just upgraded with kernel 2-6.27-10 64 bits on Intrepid and again the same (no update !) ov51x-jpeg package does not compile. Here is what I get with command make :
$ make
make -C /lib/modules/2.6.27-10-generic/build M=/home/dmoyne/.local/share/Trash/files/modules/ov51x-jpeg modules
make[1]: entrant dans le répertoire « /usr/src/linux-headers-2.6.27-10-generic »
  CC [M] /home/dmoyne/.local/share/Trash/files/modules/ov51x-jpeg/ov51x-jpeg-core.o
/home/dmoyne/.local/share/Trash/files/modules/ov51x-jpeg/ov51x-jpeg-core.c:115:27: error: asm/semaphore.h: Aucun fichier ou dossier de ce type
/home/dmoyne/.local/share/Trash/files/modules/ov51x-jpeg/ov51x-jpeg-core.c:539: erreur: ‘v4l_compat_ioctl32’ undeclared here (not in a function)
/home/dmoyne/.local/share/Trash/files/modules/ov51x-jpeg/ov51x-jpeg-core.c: In function ‘ov51x_v4l1_ioctl’:
/home/dmoyne/.local/share/Trash/files/modules/ov51x-jpeg/ov51x-jpeg-core.c:6382: erreur: implicit declaration of function ‘video_usercopy’
/home/dmoyne/.local/share/Trash/files/modules/ov51x-jpeg/ov51x-jpeg-core.c: Hors de toute fonction :
/home/dmoyne/.local/share/Trash/files/modules/ov51x-jpeg/ov51x-jpeg-core.c:6637: erreur: unknown field ‘owner’ specified in initializer
/home/dmoyne/.local/share/Trash/files/modules/ov51x-jpeg/ov51x-jpeg-core.c:6637: attention : initialization from incompatible pointer type
/home/dmoyne/.local/share/Trash/files/modules/ov51x-jpeg/ov51x-jpeg-core.c:6639: erreur: unknown field ‘type’ specified in initializer
/home/dmoyne/.local/share/Trash/files/modules/ov51x-jpeg/ov51x-jpeg-core.c: In function ‘ov51x_probe’:
/home/dmoyne/.local/share/Trash/files/modules/ov51x-jpeg/ov51x-jpeg-core.c:8368: erreur: incompatible types in assignment
make[2]: *** [/home/dmoyne/.local/share/Trash/files/modules/ov51x-jpeg/ov51x-jpeg-core.o] Erreur 1
make[1]: *** [_module_/home/dmoyne/.local/share/Trash/files/modules/ov51x-jpeg] Erreur 2
make[1]: quittant le répertoire « /usr/src/linux-headers-2.6.27-10-generic »
make: *** [all] Erreur 2

All this for me is a major issue because I have not been able as of today to make my Hercules Classic webcam work synaptic ; there may be something available elsewhere with some heme made compilation but this is typically not good as each time yoy upgrade for a new kernel yoy have to reinstall all these extra modules !

People have to understand that communication tools such as skype are very important for users (a a Netscape navigator some yeras ago) and consequently compatibility with webcam hardware has become a real issue !
Regards.

Hi,
I've just upgraded to 2-6.27-9-generic. Compiled again,
no problem, and the webcam works.

I am not a developper but to try to find the bug could
you please do the following command to see where is your
semaphore.h :

cd /
sudo find . -name semaphore.h -print

> People have to understand that communication tools such as skype are very important for users (a a Netscape navigator some yeras ago) and consequently compatibility with webcam hardware has become a real issue !
> Regards.
>

ok now it does compile with 2.6.27-10-generic with no error message on my 64 bits X2 machine ; as requested here is the result of your commands :
./usr/src/linux-headers-2.6.27-7/include/linux/semaphore.h
./usr/src/linux-headers-2.6.27-7-generic/include/linux/semaphore.h
./usr/src/linux-headers-2.6.27-10-generic/include/linux/semaphore.h
./usr/src/linux-headers-2.6.27-10/include/linux/semaphore.h
./usr/src/linux-headers-2.6.27-8-generic/include/linux/semaphore.h
./usr/src/linux-headers-2.6.27-8/include/linux/semaphore.h
./usr/include/bits/semaphore.h
./usr/include/semaphore.h
so this bug appears to be cured ; now regarding the pilot ov51x-jpeg that matters here it includes now the jpeg compression and therefore the rastageeks package as substitute ; only what is still needed if a Hercules Classic webcam is on use in combination with Skype :
(1) addition of this in file : "/etc/modprobe.d/options" :
options ov51x-jpeg forceblock=1
(2) but furthermore getting rid of module "gspa_ov519" that gotherwise gets loaded along with module "ov51x_jpeg"
Only these 2 modifications are necesssary.

After doing this Skype works fine with a webcam Hercules Classic.

I do not know the reason of the link between module "gspa_ov519" and module "ov51x_jpeg" as the webcam needs only module "ov51x_jpeg" ; is it a bug in webcam detection ?
Regards.

no one idea ! But if your webcam works, that's the main point isn't it ?
>
> I do not know the reason of the link between module "gspa_ov519" and module "ov51x_jpeg" as the webcam needs only module "ov51x_jpeg" ; is it a bug in webcam detection ?
> Regards.
>

The module might now compile, but it doesn't seem to function with Skype, Cheese or Kopete.

I've blacklisted gspca_ov519 and added "ov51x_jpeg forceblock=1" to /etc/modprobe.d/options, but without success.

Is there something else that needs doing with a 64bit kernel?

mugginz (mugginz1) wrote :

Adding myself to the video group fixed the issue with Skype, still no Cheese or Kopete however.

Andres Mujica (andres.mujica) wrote :

hi, i've just added some dupes from this bug report.

thanks for your help

Andres Mujica (andres.mujica) wrote :

Hi this is solved for Jaunty.

http://packages.ubuntu.com/jaunty/ov51x-jpeg-source

But i don't believe this would apply for an SRU with Intrepid

so until further notice the best path would be to use the Jaunty package to get this built against Intrepid kernel.

If someone can test it it would be nice.

description: updated
Romain Beauxis (toots) wrote :

Hi all !

The gscpa_ov519 module should be the final one. It is supported by the linux kernel and will decompress JPEG too.

The remaining bit is to fix applications to use the libv4l [1] library instead of directly manipulating the device. This library is provided by the linux video kernel team and will perfrom all sort of conversions that should hopefully fix a *lot* of broken applications and drivers.

Integration with the various applications should really be easy, since the library is designed to wrap around the original calls, only you need to prefix them with v4l_ or v4l2_, see libv4l{1,2}.h

Patches for various popular applications are also available.

[1]: http://packages.ubuntu.com/jaunty/libv4l-0

Andres Mujica (andres.mujica) wrote :

Hi, i've just tested the Jaunty package and it effectively resolves this issue, so i'm filling the SRU so this issue can get solved.

For those affected, in the meantime you should install the Jaunty package directly from the web ( http://packages.ubuntu.com/jaunty/all/ov51x-jpeg-source/download ) and then execute the module-assistant.

Take into account that as the previous comment explains, the way to go would be gspca_ov519 in the near future.

Meanwhile this package and possibly SRU can solve the issue.

description: updated
bkp (bkp) wrote :

Ok, piffio's patch actually allowed me to compile/install, but the camera still doesn't work in Skype.

Of course, I did
modprobe ov51x-jpeg forceblock=1

But, still nothing.

The cam is a Creative PD1030. Any ideas?

mugginz (mugginz1) wrote :

@bkp

The problem your having is likely due to the cam your using being a v4l2 device where skype is most happy with v4l1 devices.

To get skype going with your device you should go to a console, and run the following commands to launch skype.
(Make sure you quit skype if it's currently running.)

Then in a console:

export LD_PRELOAD=/usr/lib/libv4l/v4l1compat.so
skype

If you're running a 64bit distro then you should follow the instructions here.
http://mugginix.com/articles/2009/Apr/25/V4l1-Software-Using-V4l2-Devices/

Had to upgrade to 2.6.30-rc5 due to Intel graphics issues (no screen). Screen is ok, but camera (VF0260) wouldn't compile whether I use make or module-assistant:
make -C /lib/modules/2.6.30-020630rc5-generic/build M=/usr/src/modules/ov51x-jpeg modules
make[1]: Entering directory `/usr/src/linux-headers-2.6.30-020630rc5-generic'
  CC [M] /usr/src/modules/ov51x-jpeg/ov51x-jpeg-core.o
/usr/src/modules/ov51x-jpeg/ov51x-jpeg-core.c: In function ‘create_proc_ov511_cam’:
/usr/src/modules/ov51x-jpeg/ov51x-jpeg-core.c:677: error: implicit declaration of function ‘info’
/usr/src/modules/ov51x-jpeg/ov51x-jpeg-core.c:681: error: ‘struct proc_dir_entry’ has no member named ‘owner’
/usr/src/modules/ov51x-jpeg/ov51x-jpeg-core.c:689: error: ‘struct proc_dir_entry’ has no member named ‘owner’
/usr/src/modules/ov51x-jpeg/ov51x-jpeg-core.c:700: error: ‘struct proc_dir_entry’ has no member named ‘owner’
/usr/src/modules/ov51x-jpeg/ov51x-jpeg-core.c:712: error: ‘struct proc_dir_entry’ has no member named ‘owner’
/usr/src/modules/ov51x-jpeg/ov51x-jpeg-core.c: In function ‘proc_ov511_create’:
/usr/src/modules/ov51x-jpeg/ov51x-jpeg-core.c:766: error: ‘struct proc_dir_entry’ has no member named ‘owner’
/usr/src/modules/ov51x-jpeg/ov51x-jpeg-core.c: In function ‘ov51x_clear_snapshot’:
/usr/src/modules/ov51x-jpeg/ov51x-jpeg-core.c:1691: error: implicit declaration of function ‘warn’
/usr/src/modules/ov51x-jpeg/ov51x-jpeg-core.c: In function ‘ov51x_v4l1_ioctl’:
/usr/src/modules/ov51x-jpeg/ov51x-jpeg-core.c:6386: warning: passing argument 1 of ‘video_usercopy’ from incompatible pointer type
/usr/src/modules/ov51x-jpeg/ov51x-jpeg-core.c:6386: warning: passing argument 2 of ‘video_usercopy’ makes integer from pointer without a cast
/usr/src/modules/ov51x-jpeg/ov51x-jpeg-core.c:6386: warning: passing argument 4 of ‘video_usercopy’ makes pointer from integer without a cast
/usr/src/modules/ov51x-jpeg/ov51x-jpeg-core.c:6386: error: too many arguments to function ‘video_usercopy’
/usr/src/modules/ov51x-jpeg/ov51x-jpeg-core.c: At top level:
/usr/src/modules/ov51x-jpeg/ov51x-jpeg-core.c:6651: warning: initialization from incompatible pointer type
make[2]: *** [/usr/src/modules/ov51x-jpeg/ov51x-jpeg-core.o] Error 1
make[1]: *** [_module_/usr/src/modules/ov51x-jpeg] Error 2
make[1]: Leaving directory `/usr/src/linux-headers-2.6.30-020630rc5-generic'
make: *** [all] Error 2

Artur Rona (ari-tczew) on 2009-10-25
tags: added: patch
InternazionalIV (manson-says) wrote :

Hi,

I still get the problem on Karmic Koala:

tomas@tomas-laptop:/usr/src/modules/ov51x-jpeg$ sudo make
make -C /lib/modules/2.6.31-14-generic/build M=/usr/src/modules/ov51x-jpeg modules
make[1]: Entering directory `/usr/src/linux-headers-2.6.31-14-generic'
  CC [M] /usr/src/modules/ov51x-jpeg/ov51x-jpeg-core.o
/usr/src/modules/ov51x-jpeg/ov51x-jpeg-core.c: In function ‘create_proc_ov511_cam’:
/usr/src/modules/ov51x-jpeg/ov51x-jpeg-core.c:677: error: implicit declaration of function ‘info’
/usr/src/modules/ov51x-jpeg/ov51x-jpeg-core.c:681: error: ‘struct proc_dir_entry’ has no member named ‘owner’
/usr/src/modules/ov51x-jpeg/ov51x-jpeg-core.c:689: error: ‘struct proc_dir_entry’ has no member named ‘owner’
/usr/src/modules/ov51x-jpeg/ov51x-jpeg-core.c:700: error: ‘struct proc_dir_entry’ has no member named ‘owner’
/usr/src/modules/ov51x-jpeg/ov51x-jpeg-core.c:712: error: ‘struct proc_dir_entry’ has no member named ‘owner’
/usr/src/modules/ov51x-jpeg/ov51x-jpeg-core.c: In function ‘proc_ov511_create’:
/usr/src/modules/ov51x-jpeg/ov51x-jpeg-core.c:766: error: ‘struct proc_dir_entry’ has no member named ‘owner’
/usr/src/modules/ov51x-jpeg/ov51x-jpeg-core.c: In function ‘ov51x_clear_snapshot’:
/usr/src/modules/ov51x-jpeg/ov51x-jpeg-core.c:1691: error: implicit declaration of function ‘warn’
/usr/src/modules/ov51x-jpeg/ov51x-jpeg-core.c: In function ‘ov51x_v4l1_ioctl’:
/usr/src/modules/ov51x-jpeg/ov51x-jpeg-core.c:6386: warning: passing argument 1 of ‘video_usercopy’ from incompatible pointer type
include/media/v4l2-ioctl.h:298: note: expected ‘struct file *’ but argument is of type ‘struct inode *’
/usr/src/modules/ov51x-jpeg/ov51x-jpeg-core.c:6386: warning: passing argument 2 of ‘video_usercopy’ makes integer from pointer without a cast
include/media/v4l2-ioctl.h:298: note: expected ‘unsigned int’ but argument is of type ‘struct file *’
/usr/src/modules/ov51x-jpeg/ov51x-jpeg-core.c:6386: warning: passing argument 4 of ‘video_usercopy’ makes pointer from integer without a cast
include/media/v4l2-ioctl.h:298: note: expected ‘v4l2_kioctl’ but argument is of type ‘long unsigned int’
/usr/src/modules/ov51x-jpeg/ov51x-jpeg-core.c:6386: error: too many arguments to function ‘video_usercopy’
/usr/src/modules/ov51x-jpeg/ov51x-jpeg-core.c: At top level:
/usr/src/modules/ov51x-jpeg/ov51x-jpeg-core.c:6651: warning: initialization from incompatible pointer type
make[2]: *** [/usr/src/modules/ov51x-jpeg/ov51x-jpeg-core.o] Error 1
make[1]: *** [_module_/usr/src/modules/ov51x-jpeg] Error 2
make[1]: Leaving directory `/usr/src/linux-headers-2.6.31-14-generic'
make: *** [all] Error 2

Jarius (jarius) wrote :
Download full text (5.5 KiB)

Same problem here with Hercules Blog Webcam on Karmic Koala.

Maybe, because kernel-header file gspca.h has NULL byte size??

Tested on up2date karmic with all updates.

compile errors from:

root@chaotiker87:~# module-assistant a-i ov51x-jpeg
# Build the module ▒
 │ /usr/bin/make KERNEL_DIR=/usr/src/linux KDIR=/usr/src/linux ▒
 │ KVERS=2.6.31-14-generic ▒
 │ make[2]: Betrete Verzeichnis '/usr/src/modules/ov51x-jpeg' ▒
 │ /usr/bin/make -C /usr/src/linux M=/usr/src/modules/ov51x-jpeg modules ▒
 │ make[3]: Betrete Verzeichnis '/usr/src/linux-headers-2.6.31-14-generic' ▒
 │ CC [M] /usr/src/modules/ov51x-jpeg/ov51x-jpeg-core.o ▮
 │ /usr/src/modules/ov51x-jpeg/ov51x-jpeg-core.c: In function ▒
 │ ‘create_proc_ov511_cam’: ▒
 │ /usr/src/modules/ov51x-jpeg/ov51x-jpeg-core.c:677: error: implicit ▒
 │ declaration of function ‘info’ ▒
 │ /usr/src/modules/ov51x-jpeg/ov51x-jpeg-core.c:681: error: ‘struct ▒
 │ proc_dir_entry’ has no member named ‘owner’
/usr/src/modules/ov51x-jpeg/ov51x-jpeg-core.c:681: error: ‘struct ▒
 │ proc_dir_entry’ has no member named ‘owner’ ▒
 │ /usr/src/modules/ov51x-jpeg/ov51x-jpeg-core.c:689: error: ‘struct ▒
 │ proc_dir_entry’ has no member named ‘owner’ ▒
 │ /usr/src/modules/ov51x-jpeg/ov51x-jpeg-core.c:700: error: ‘struct ▒
 │ proc_dir_entry’ has no member named ‘owner’ ▮
 │ /usr/src/modules/ov51x-jpeg/ov51x-jpeg-core.c:712: error: ‘struct ▒
 │ proc_dir_entry’ has no member named ‘owner’ ▒
 │ /usr/src/modules/ov51x-jpeg/ov51x-jpeg-core.c: In function ▒
 │ ‘proc_ov511_create’: ▒
 │ /usr/src/modules/ov51x-jpeg/ov51x-jpeg-core.c:766: error: ‘struct ▒
 │ proc_dir_entry’ has no member named ‘owner’
/usr/src/modules/ov51x-jpeg/ov51x-jpeg-core.c: In function ▒
 │ ‘ov51x_clear_snapshot’: ▒
 │ /usr/src/modules/ov51x-jpeg/ov51x-jpeg-core.c:1691: error: implicit ▒
 │ declaration of function ‘warn’ ▒
 │ /usr/src/modules/ov51x-jpeg/ov51x-jpeg-core.c: In function ▒
 │ ‘ov51x_v4l1_ioctl’: ▒
 │ /usr/src/modules/ov51x-jpeg/ov51x-jpeg-core.c:6386: warning: passing ▒
 │ argument 1 of ‘video_usercopy’ from incompatible pointer type ▮
 │ include/media/v4l2-ioctl.h:298: note: expected ‘struct file *’ but ▒
 │ argument is of type ‘struct inode *’ ▒
 │ /usr/src/modules/ov51x-jpeg/ov51x-jpeg-core.c:6386: warning: passing ▒
 │ argument 2 of ‘video_usercopy’ makes integer from pointer without a cast
include/media/v4l2-ioctl.h:298: note: expected ‘unsigned int’ but ↑
 │ argument is of type ‘struct file *’ ▒
 │ /usr/src/modules/ov51x-jpeg/ov51x-jpeg-core.c:6386: warning: passing ▒
 │ argument 4 of ‘video_usercopy’ makes pointer from integer without a cast ▒
 │ include/media/v4l2-ioctl.h:298: note: expected ‘v4l2_kioctl’ but ▒
 │ argument is of type ‘long unsigned int’ ▒
 │ /usr/src/modules/ov51x-jpeg/ov51x-jpeg-core.c:6386: error: too many ▒
 │ arguments to function ‘video_usercopy’ ▒
 │ /usr/src/modules/ov51x-jpeg/ov51x-jpeg-core.c: At top level: ▒
 │ /usr/src/modules/ov51x-jpeg/ov51x-jpeg-core.c:6651: warning: ▒
 │ initialization from incompatible pointer type ▒
 │ make[4]: *** [/usr/src/modules/ov51x-jpeg/ov51x-jpeg-core.o] Fehler 1 ▒
 │ make[3]: *** [_module_/usr/src/modules/ov51x-jpeg] Fehler 2 ▮
 │ make[3]: Verlasse Verzeichnis '/usr/src/linux-hea...

Read more...

George Prowse (torqueing) wrote :

This happens on lucid also

George Prowse (torqueing) wrote :
MMarking (cpt-mocha) wrote :

Perhaps this would apply to others, I know of at least one webcam that used to work with this driver but is now a part of gspca. I made a bug report here

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/492744

The ov51x-jpeg package no longer works with kernels 2.6.31+ I believe. We need to be focusing on gspca and make sure our webcams are supported though v4l-dvb.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Bug attachments